> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vooma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Create Contacts

<Warning>
  <strong>Beta Feature:</strong> This functionality is currently in beta. You
  may experience changes or limited support as we continue to improve it.
</Warning>


## OpenAPI

````yaml POST /contacts/bulk
openapi: 3.1.0
info:
  title: api
  version: 0.1.0
  contact: {}
servers:
  - url: https://api.vooma.ai/v0
    description: Vooma API
security: []
paths:
  /contacts/bulk:
    post:
      tags:
        - Contacts
      operationId: BulkCreateContacts
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkCreateContactsInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkCreateContactsPayload'
      security:
        - bearer: []
components:
  schemas:
    BulkCreateContactsInput:
      $ref: '#/components/schemas/VoomaPublicAPIv0.BulkCreateContactsInput'
    BulkCreateContactsPayload:
      $ref: '#/components/schemas/VoomaPublicAPIv0.BulkCreateContactsPayload'
    VoomaPublicAPIv0.BulkCreateContactsInput:
      properties:
        contacts:
          items:
            $ref: '#/components/schemas/ContactData'
          type: array
      required:
        - contacts
      type: object
    VoomaPublicAPIv0.BulkCreateContactsPayload:
      properties:
        contacts:
          items:
            $ref: '#/components/schemas/Contact'
          type: array
      required:
        - contacts
      type: object
    ContactData:
      anyOf:
        - $ref: '#/components/schemas/CarrierContactData'
        - $ref: '#/components/schemas/CustomerContactData'
        - $ref: '#/components/schemas/LocationContactData'
    Contact:
      $ref: '#/components/schemas/V0Contact.Contact'
    CarrierContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            carrierId:
              type: string
          required:
            - carrierId
          type: object
    CustomerContactData:
      allOf:
        - $ref: '#/components/schemas/BaseContactData'
        - properties:
            customerId:
              type: string
          required:
            - customerId
          type: object
    LocationContactData:
      $ref: '#/components/schemas/BaseContactData'
    V0Contact.Contact:
      $ref: '#/components/schemas/MayHaveID_ContactData_'
    BaseContactData:
      properties:
        name:
          type: string
        phone:
          type: string
        email:
          type: string
        role:
          type: string
      type: object
    MayHaveID_ContactData_:
      allOf:
        - properties:
            id:
              type: string
          type: object
        - $ref: '#/components/schemas/ContactData'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: API Key

````